SoNodeKit(3)

NAME
SoNodeKit - The SoNodeKit class is used to initialize the nodekit classes.

SYNOPSIS

#include <Inventor/nodekits/SoNodeKit.h>

  Static Public Member Functions
static void init (void)

Detailed Description

The SoNodeKit class is used to initialize the nodekit classes. The sole function of SoNodeKit is to be just a placeholder for the top level initialization code for all nodekit-related classes.

See also
    SoBaseKit

Member Function Documentation

  void SoNodeKit::init (void ) [static]
Initialize the nodekit system.

Note that this method is not called implicitly from SoDB::init(). As a matter of fact, this method calls SoDB::init() itself to make sure all the underlying classes for the nodekits classes have been initialized.

This method is also called from within SoInteraction::init(), as the interaction functionality in Coin depends on the nodekit classes.

Author

Generated automatically by Doxygen for Coin from the source code.